Tanya :

Pertama saya ingin bilang,,, mantab bgt cara anda memberikan jawaban dalam setiap pertanyaan nyus bgt. saya salut skali.

Yang kedua mas kalo boleh saya ingin bertanya karna pengguna linux baru gimana sie cara ngatasin permasalahan eror pada ubuntu 10.10 saya seperti gambar di bawah ini…

.

Jawab :

Terima kasih atas atensinya, senang bisa bermanfaat.

Masalah yang anda kemukakan berkaitan dengan repository.

Prinsipnya sederhana : Ubuntu anda membutuhkan daftar perangkat lunak “siap install” yang cocok dengan sistem anda. Dan ketika ternyata daftar itu “salah” atau “tidak sesuai dengan sistem anda”, maka muncullah peringatan bahwa ada paket yang salah dan tidak bisa diinstal. Penyebabnya ada beberapa, 2 (dua) yang utama adalah :

  1. Adanya daftar perangkat lunak dari “luar” Ubuntu yang tidak cocok
  2. Proses upgrade paket yang tidak sempurna
  3. Proses upgrade versi Ubuntu yang tidak sempurna

Anda bisa melakukan rekonfigurasi pada semua paket yang belum terpaket dengan perintah :

sudo --configure -a

Kedua penyebab diatas berpengaruh pada file /etc/apt/sources.list yang ada di komputer anda. Periksa file ini :

sudo gedit /etc/apt/sources.list

Secara sederhana, isi file yang anda butuhkan hanya 3 baris seperti contoh berikut :

deb http://kambing.ui.ac.id/ubuntu/ maverick main restricted multiverse universe
deb http://kambing.ui.ac.id/ubuntu/ maverick-updates main restricted multiverse universe
deb http://kambing.ui.ac.id/ubuntu/ maverick-backports main restricted multiverse universe

Anda dapat menghilangkan baris-baris yang lain, atau cukup dengan menambahkan tanda pagar (#) di belakangnya, menjadi seperti

# deb http://security.ubuntu.com/ubuntu maverick-security main restricted

Langkah diatas adalah untuk memastikan bahwa tidak ada paket “tak resmi” yang masuk ke sistem anda. Kecuali nanti anda ingin menambahkan alamat repo lain yang valid, misalnya PPA, format diatas adalah format awal yang bersih dan aman.

Jangan lupa untuk melakukan update dengan perintah berikut, seusai anda mengedit file /etc/apt/sources.list tadi

sudo apt-get update

Paparan ini juga sekaligus menjadi solusi jika penyebabnya adalah hal pertama yakni  “Adanya daftar perangkat lunak dari “luar” Ubuntu yang tidak cocok”

Proses upgrade paket yang tidak sempurna

Untuk penyebab pertama ini, solusinya adalah mengulang kembali proses upgrade

sudo apt-get upgrade

Perintah ini bertujuan mengupgrade daftar perangkat lunak anda ke “versi terbaru yang cocok” dengan sistem anda. Sedapat mungkin jangan terhenti di tengah jalan, karena dikhawatirkan ada yang cacat.

Proses upgrade versi Ubuntu yang tidak sempurna

Untuk penyebab terakhir ini, solusinya adalah mengulang kembali proses upgrade hingga sempurna

apt-get dist-upgrade

Perintah ini bertujuan mengupgrade versi ubuntu anda ke versi yang lebih baru, termasuk kernel Linux yang digunakan. Jika putus ditengah jalan, kemungkinan besar akan ada masalah pada sistem anda.

Demikian, semoga membantu

Iklan